CC=cc
CFLAGS=-I/usr/local/include -I../../deps/ 
DEPS = mnetscan.c
JAMLIB = ../../deps/jamlib/jamlib.a
OBJ = mnetscan.o

all: mnetscan

%.o: %.c $(DEPS)
	$(CC) -c -o $@ $< $(CFLAGS)

$(JAMLIB):
	cd ../../deps/jamlib && make -f Makefile.linux

mnetscan: $(OBJ) $(JAMLIB)
	$(CC) -o mnetscan $^ $(CFLAGS) -L/usr/local/lib 
	
.PHONY: clean

clean:
	rm -f $(OBJ) mnetscan
